// Generated by the gRPC C++ plugin.
// If you make any local change, they will be lost.
// source: device_server.proto

#include "device_server.pb.h"
#include "device_server.grpc.pb.h"

#include <grpcpp/impl/codegen/async_stream.h>
#include <grpcpp/impl/codegen/async_unary_call.h>
#include <grpcpp/impl/codegen/channel_interface.h>
#include <grpcpp/impl/codegen/client_unary_call.h>
#include <grpcpp/impl/codegen/method_handler_impl.h>
#include <grpcpp/impl/codegen/rpc_service_method.h>
#include <grpcpp/impl/codegen/service_type.h>
#include <grpcpp/impl/codegen/sync_stream.h>
namespace mascot {

static const char* MascotDeviceServer_method_names[] = {
  "/mascot.MascotDeviceServer/GetAttributeList",
  "/mascot.MascotDeviceServer/GetCommandList",
  "/mascot.MascotDeviceServer/ReadAttribute",
  "/mascot.MascotDeviceServer/WriteAttribute",
  "/mascot.MascotDeviceServer/ReadAttributeConfig",
  "/mascot.MascotDeviceServer/ReadDeviceProperties",
  "/mascot.MascotDeviceServer/WriteDeviceProperties",
  "/mascot.MascotDeviceServer/ReadDeviceAttributeMeta",
  "/mascot.MascotDeviceServer/WriteDeviceAttributeMeta",
  "/mascot.MascotDeviceServer/Subscribe",
  "/mascot.MascotDeviceServer/Unsubscribe",
  "/mascot.MascotDeviceServer/ExecuteCommand",
};

std::unique_ptr< MascotDeviceServer::Stub> MascotDeviceServer::NewStub(const std::shared_ptr< ::grpc::ChannelInterface>& channel, const ::grpc::StubOptions& options) {
  (void)options;
  std::unique_ptr< MascotDeviceServer::Stub> stub(new MascotDeviceServer::Stub(channel));
  return stub;
}

MascotDeviceServer::Stub::Stub(const std::shared_ptr< ::grpc::ChannelInterface>& channel)
  : channel_(channel), rpcmethod_GetAttributeList_(MascotDeviceServer_method_names[0], ::grpc::internal::RpcMethod::NORMAL_RPC, channel)
  , rpcmethod_GetCommandList_(MascotDeviceServer_method_names[1], ::grpc::internal::RpcMethod::NORMAL_RPC, channel)
  , rpcmethod_ReadAttribute_(MascotDeviceServer_method_names[2], ::grpc::internal::RpcMethod::NORMAL_RPC, channel)
  , rpcmethod_WriteAttribute_(MascotDeviceServer_method_names[3], ::grpc::internal::RpcMethod::NORMAL_RPC, channel)
  , rpcmethod_ReadAttributeConfig_(MascotDeviceServer_method_names[4], ::grpc::internal::RpcMethod::NORMAL_RPC, channel)
  , rpcmethod_ReadDeviceProperties_(MascotDeviceServer_method_names[5], ::grpc::internal::RpcMethod::NORMAL_RPC, channel)
  , rpcmethod_WriteDeviceProperties_(MascotDeviceServer_method_names[6], ::grpc::internal::RpcMethod::NORMAL_RPC, channel)
  , rpcmethod_ReadDeviceAttributeMeta_(MascotDeviceServer_method_names[7], ::grpc::internal::RpcMethod::NORMAL_RPC, channel)
  , rpcmethod_WriteDeviceAttributeMeta_(MascotDeviceServer_method_names[8], ::grpc::internal::RpcMethod::NORMAL_RPC, channel)
  , rpcmethod_Subscribe_(MascotDeviceServer_method_names[9], ::grpc::internal::RpcMethod::NORMAL_RPC, channel)
  , rpcmethod_Unsubscribe_(MascotDeviceServer_method_names[10], ::grpc::internal::RpcMethod::NORMAL_RPC, channel)
  , rpcmethod_ExecuteCommand_(MascotDeviceServer_method_names[11], ::grpc::internal::RpcMethod::NORMAL_RPC, channel)
  {}

::grpc::Status MascotDeviceServer::Stub::GetAttributeList(::grpc::ClientContext* context, const ::mascot::GetAttributeListMessage& request, ::mascot::AttributeListReply* response) {
  return ::grpc::internal::BlockingUnaryCall(channel_.get(), rpcmethod_GetAttributeList_, context, request, response);
}

::grpc::ClientAsyncResponseReader< ::mascot::AttributeListReply>* MascotDeviceServer::Stub::AsyncGetAttributeListRaw(::grpc::ClientContext* context, const ::mascot::GetAttributeListMessage& request, ::grpc::CompletionQueue* cq) {
  return ::grpc::internal::ClientAsyncResponseReaderFactory< ::mascot::AttributeListReply>::Create(channel_.get(), cq, rpcmethod_GetAttributeList_, context, request, true);
}

::grpc::ClientAsyncResponseReader< ::mascot::AttributeListReply>* MascotDeviceServer::Stub::PrepareAsyncGetAttributeListRaw(::grpc::ClientContext* context, const ::mascot::GetAttributeListMessage& request, ::grpc::CompletionQueue* cq) {
  return ::grpc::internal::ClientAsyncResponseReaderFactory< ::mascot::AttributeListReply>::Create(channel_.get(), cq, rpcmethod_GetAttributeList_, context, request, false);
}

::grpc::Status MascotDeviceServer::Stub::GetCommandList(::grpc::ClientContext* context, const ::mascot::GetCommandListMessage& request, ::mascot::CommandListReply* response) {
  return ::grpc::internal::BlockingUnaryCall(channel_.get(), rpcmethod_GetCommandList_, context, request, response);
}

::grpc::ClientAsyncResponseReader< ::mascot::CommandListReply>* MascotDeviceServer::Stub::AsyncGetCommandListRaw(::grpc::ClientContext* context, const ::mascot::GetCommandListMessage& request, ::grpc::CompletionQueue* cq) {
  return ::grpc::internal::ClientAsyncResponseReaderFactory< ::mascot::CommandListReply>::Create(channel_.get(), cq, rpcmethod_GetCommandList_, context, request, true);
}

::grpc::ClientAsyncResponseReader< ::mascot::CommandListReply>* MascotDeviceServer::Stub::PrepareAsyncGetCommandListRaw(::grpc::ClientContext* context, const ::mascot::GetCommandListMessage& request, ::grpc::CompletionQueue* cq) {
  return ::grpc::internal::ClientAsyncResponseReaderFactory< ::mascot::CommandListReply>::Create(channel_.get(), cq, rpcmethod_GetCommandList_, context, request, false);
}

::grpc::Status MascotDeviceServer::Stub::ReadAttribute(::grpc::ClientContext* context, const ::mascot::ReadAttributeMessage& request, ::mascot::ReadAttributeReply* response) {
  return ::grpc::internal::BlockingUnaryCall(channel_.get(), rpcmethod_ReadAttribute_, context, request, response);
}

::grpc::ClientAsyncResponseReader< ::mascot::ReadAttributeReply>* MascotDeviceServer::Stub::AsyncReadAttributeRaw(::grpc::ClientContext* context, const ::mascot::ReadAttributeMessage& request, ::grpc::CompletionQueue* cq) {
  return ::grpc::internal::ClientAsyncResponseReaderFactory< ::mascot::ReadAttributeReply>::Create(channel_.get(), cq, rpcmethod_ReadAttribute_, context, request, true);
}

::grpc::ClientAsyncResponseReader< ::mascot::ReadAttributeReply>* MascotDeviceServer::Stub::PrepareAsyncReadAttributeRaw(::grpc::ClientContext* context, const ::mascot::ReadAttributeMessage& request, ::grpc::CompletionQueue* cq) {
  return ::grpc::internal::ClientAsyncResponseReaderFactory< ::mascot::ReadAttributeReply>::Create(channel_.get(), cq, rpcmethod_ReadAttribute_, context, request, false);
}

::grpc::Status MascotDeviceServer::Stub::WriteAttribute(::grpc::ClientContext* context, const ::mascot::WriteAttributeMessage& request, ::mascot::WriteReply* response) {
  return ::grpc::internal::BlockingUnaryCall(channel_.get(), rpcmethod_WriteAttribute_, context, request, response);
}

::grpc::ClientAsyncResponseReader< ::mascot::WriteReply>* MascotDeviceServer::Stub::AsyncWriteAttributeRaw(::grpc::ClientContext* context, const ::mascot::WriteAttributeMessage& request, ::grpc::CompletionQueue* cq) {
  return ::grpc::internal::ClientAsyncResponseReaderFactory< ::mascot::WriteReply>::Create(channel_.get(), cq, rpcmethod_WriteAttribute_, context, request, true);
}

::grpc::ClientAsyncResponseReader< ::mascot::WriteReply>* MascotDeviceServer::Stub::PrepareAsyncWriteAttributeRaw(::grpc::ClientContext* context, const ::mascot::WriteAttributeMessage& request, ::grpc::CompletionQueue* cq) {
  return ::grpc::internal::ClientAsyncResponseReaderFactory< ::mascot::WriteReply>::Create(channel_.get(), cq, rpcmethod_WriteAttribute_, context, request, false);
}

::grpc::Status MascotDeviceServer::Stub::ReadAttributeConfig(::grpc::ClientContext* context, const ::mascot::ReadAttributeMessage& request, ::mascot::AttributeConfigReply* response) {
  return ::grpc::internal::BlockingUnaryCall(channel_.get(), rpcmethod_ReadAttributeConfig_, context, request, response);
}

::grpc::ClientAsyncResponseReader< ::mascot::AttributeConfigReply>* MascotDeviceServer::Stub::AsyncReadAttributeConfigRaw(::grpc::ClientContext* context, const ::mascot::ReadAttributeMessage& request, ::grpc::CompletionQueue* cq) {
  return ::grpc::internal::ClientAsyncResponseReaderFactory< ::mascot::AttributeConfigReply>::Create(channel_.get(), cq, rpcmethod_ReadAttributeConfig_, context, request, true);
}

::grpc::ClientAsyncResponseReader< ::mascot::AttributeConfigReply>* MascotDeviceServer::Stub::PrepareAsyncReadAttributeConfigRaw(::grpc::ClientContext* context, const ::mascot::ReadAttributeMessage& request, ::grpc::CompletionQueue* cq) {
  return ::grpc::internal::ClientAsyncResponseReaderFactory< ::mascot::AttributeConfigReply>::Create(channel_.get(), cq, rpcmethod_ReadAttributeConfig_, context, request, false);
}

::grpc::Status MascotDeviceServer::Stub::ReadDeviceProperties(::grpc::ClientContext* context, const ::mascot::ReadDevicePropertiesMessage& request, ::mascot::DeviceProperties* response) {
  return ::grpc::internal::BlockingUnaryCall(channel_.get(), rpcmethod_ReadDeviceProperties_, context, request, response);
}

::grpc::ClientAsyncResponseReader< ::mascot::DeviceProperties>* MascotDeviceServer::Stub::AsyncReadDevicePropertiesRaw(::grpc::ClientContext* context, const ::mascot::ReadDevicePropertiesMessage& request, ::grpc::CompletionQueue* cq) {
  return ::grpc::internal::ClientAsyncResponseReaderFactory< ::mascot::DeviceProperties>::Create(channel_.get(), cq, rpcmethod_ReadDeviceProperties_, context, request, true);
}

::grpc::ClientAsyncResponseReader< ::mascot::DeviceProperties>* MascotDeviceServer::Stub::PrepareAsyncReadDevicePropertiesRaw(::grpc::ClientContext* context, const ::mascot::ReadDevicePropertiesMessage& request, ::grpc::CompletionQueue* cq) {
  return ::grpc::internal::ClientAsyncResponseReaderFactory< ::mascot::DeviceProperties>::Create(channel_.get(), cq, rpcmethod_ReadDeviceProperties_, context, request, false);
}

::grpc::Status MascotDeviceServer::Stub::WriteDeviceProperties(::grpc::ClientContext* context, const ::mascot::DeviceProperties& request, ::mascot::WriteReply* response) {
  return ::grpc::internal::BlockingUnaryCall(channel_.get(), rpcmethod_WriteDeviceProperties_, context, request, response);
}

::grpc::ClientAsyncResponseReader< ::mascot::WriteReply>* MascotDeviceServer::Stub::AsyncWriteDevicePropertiesRaw(::grpc::ClientContext* context, const ::mascot::DeviceProperties& request, ::grpc::CompletionQueue* cq) {
  return ::grpc::internal::ClientAsyncResponseReaderFactory< ::mascot::WriteReply>::Create(channel_.get(), cq, rpcmethod_WriteDeviceProperties_, context, request, true);
}

::grpc::ClientAsyncResponseReader< ::mascot::WriteReply>* MascotDeviceServer::Stub::PrepareAsyncWriteDevicePropertiesRaw(::grpc::ClientContext* context, const ::mascot::DeviceProperties& request, ::grpc::CompletionQueue* cq) {
  return ::grpc::internal::ClientAsyncResponseReaderFactory< ::mascot::WriteReply>::Create(channel_.get(), cq, rpcmethod_WriteDeviceProperties_, context, request, false);
}

::grpc::Status MascotDeviceServer::Stub::ReadDeviceAttributeMeta(::grpc::ClientContext* context, const ::mascot::ReadDeviceAttributeMetaMessage& request, ::mascot::DeviceAttributeMeta* response) {
  return ::grpc::internal::BlockingUnaryCall(channel_.get(), rpcmethod_ReadDeviceAttributeMeta_, context, request, response);
}

::grpc::ClientAsyncResponseReader< ::mascot::DeviceAttributeMeta>* MascotDeviceServer::Stub::AsyncReadDeviceAttributeMetaRaw(::grpc::ClientContext* context, const ::mascot::ReadDeviceAttributeMetaMessage& request, ::grpc::CompletionQueue* cq) {
  return ::grpc::internal::ClientAsyncResponseReaderFactory< ::mascot::DeviceAttributeMeta>::Create(channel_.get(), cq, rpcmethod_ReadDeviceAttributeMeta_, context, request, true);
}

::grpc::ClientAsyncResponseReader< ::mascot::DeviceAttributeMeta>* MascotDeviceServer::Stub::PrepareAsyncReadDeviceAttributeMetaRaw(::grpc::ClientContext* context, const ::mascot::ReadDeviceAttributeMetaMessage& request, ::grpc::CompletionQueue* cq) {
  return ::grpc::internal::ClientAsyncResponseReaderFactory< ::mascot::DeviceAttributeMeta>::Create(channel_.get(), cq, rpcmethod_ReadDeviceAttributeMeta_, context, request, false);
}

::grpc::Status MascotDeviceServer::Stub::WriteDeviceAttributeMeta(::grpc::ClientContext* context, const ::mascot::DeviceAttributeMeta& request, ::mascot::WriteReply* response) {
  return ::grpc::internal::BlockingUnaryCall(channel_.get(), rpcmethod_WriteDeviceAttributeMeta_, context, request, response);
}

::grpc::ClientAsyncResponseReader< ::mascot::WriteReply>* MascotDeviceServer::Stub::AsyncWriteDeviceAttributeMetaRaw(::grpc::ClientContext* context, const ::mascot::DeviceAttributeMeta& request, ::grpc::CompletionQueue* cq) {
  return ::grpc::internal::ClientAsyncResponseReaderFactory< ::mascot::WriteReply>::Create(channel_.get(), cq, rpcmethod_WriteDeviceAttributeMeta_, context, request, true);
}

::grpc::ClientAsyncResponseReader< ::mascot::WriteReply>* MascotDeviceServer::Stub::PrepareAsyncWriteDeviceAttributeMetaRaw(::grpc::ClientContext* context, const ::mascot::DeviceAttributeMeta& request, ::grpc::CompletionQueue* cq) {
  return ::grpc::internal::ClientAsyncResponseReaderFactory< ::mascot::WriteReply>::Create(channel_.get(), cq, rpcmethod_WriteDeviceAttributeMeta_, context, request, false);
}

::grpc::Status MascotDeviceServer::Stub::Subscribe(::grpc::ClientContext* context, const ::mascot::SubscribeMessage& request, ::mascot::SubscribeReply* response) {
  return ::grpc::internal::BlockingUnaryCall(channel_.get(), rpcmethod_Subscribe_, context, request, response);
}

::grpc::ClientAsyncResponseReader< ::mascot::SubscribeReply>* MascotDeviceServer::Stub::AsyncSubscribeRaw(::grpc::ClientContext* context, const ::mascot::SubscribeMessage& request, ::grpc::CompletionQueue* cq) {
  return ::grpc::internal::ClientAsyncResponseReaderFactory< ::mascot::SubscribeReply>::Create(channel_.get(), cq, rpcmethod_Subscribe_, context, request, true);
}

::grpc::ClientAsyncResponseReader< ::mascot::SubscribeReply>* MascotDeviceServer::Stub::PrepareAsyncSubscribeRaw(::grpc::ClientContext* context, const ::mascot::SubscribeMessage& request, ::grpc::CompletionQueue* cq) {
  return ::grpc::internal::ClientAsyncResponseReaderFactory< ::mascot::SubscribeReply>::Create(channel_.get(), cq, rpcmethod_Subscribe_, context, request, false);
}

::grpc::Status MascotDeviceServer::Stub::Unsubscribe(::grpc::ClientContext* context, const ::mascot::UnsubscribeMessage& request, ::mascot::UnsubscribeReply* response) {
  return ::grpc::internal::BlockingUnaryCall(channel_.get(), rpcmethod_Unsubscribe_, context, request, response);
}

::grpc::ClientAsyncResponseReader< ::mascot::UnsubscribeReply>* MascotDeviceServer::Stub::AsyncUnsubscribeRaw(::grpc::ClientContext* context, const ::mascot::UnsubscribeMessage& request, ::grpc::CompletionQueue* cq) {
  return ::grpc::internal::ClientAsyncResponseReaderFactory< ::mascot::UnsubscribeReply>::Create(channel_.get(), cq, rpcmethod_Unsubscribe_, context, request, true);
}

::grpc::ClientAsyncResponseReader< ::mascot::UnsubscribeReply>* MascotDeviceServer::Stub::PrepareAsyncUnsubscribeRaw(::grpc::ClientContext* context, const ::mascot::UnsubscribeMessage& request, ::grpc::CompletionQueue* cq) {
  return ::grpc::internal::ClientAsyncResponseReaderFactory< ::mascot::UnsubscribeReply>::Create(channel_.get(), cq, rpcmethod_Unsubscribe_, context, request, false);
}

::grpc::Status MascotDeviceServer::Stub::ExecuteCommand(::grpc::ClientContext* context, const ::mascot::CommandMessage& request, ::mascot::CommandReply* response) {
  return ::grpc::internal::BlockingUnaryCall(channel_.get(), rpcmethod_ExecuteCommand_, context, request, response);
}

::grpc::ClientAsyncResponseReader< ::mascot::CommandReply>* MascotDeviceServer::Stub::AsyncExecuteCommandRaw(::grpc::ClientContext* context, const ::mascot::CommandMessage& request, ::grpc::CompletionQueue* cq) {
  return ::grpc::internal::ClientAsyncResponseReaderFactory< ::mascot::CommandReply>::Create(channel_.get(), cq, rpcmethod_ExecuteCommand_, context, request, true);
}

::grpc::ClientAsyncResponseReader< ::mascot::CommandReply>* MascotDeviceServer::Stub::PrepareAsyncExecuteCommandRaw(::grpc::ClientContext* context, const ::mascot::CommandMessage& request, ::grpc::CompletionQueue* cq) {
  return ::grpc::internal::ClientAsyncResponseReaderFactory< ::mascot::CommandReply>::Create(channel_.get(), cq, rpcmethod_ExecuteCommand_, context, request, false);
}

MascotDeviceServer::Service::Service() {
  AddMethod(new ::grpc::internal::RpcServiceMethod(
      MascotDeviceServer_method_names[0],
      ::grpc::internal::RpcMethod::NORMAL_RPC,
      new ::grpc::internal::RpcMethodHandler< MascotDeviceServer::Service, ::mascot::GetAttributeListMessage, ::mascot::AttributeListReply>(
          std::mem_fn(&MascotDeviceServer::Service::GetAttributeList), this)));
  AddMethod(new ::grpc::internal::RpcServiceMethod(
      MascotDeviceServer_method_names[1],
      ::grpc::internal::RpcMethod::NORMAL_RPC,
      new ::grpc::internal::RpcMethodHandler< MascotDeviceServer::Service, ::mascot::GetCommandListMessage, ::mascot::CommandListReply>(
          std::mem_fn(&MascotDeviceServer::Service::GetCommandList), this)));
  AddMethod(new ::grpc::internal::RpcServiceMethod(
      MascotDeviceServer_method_names[2],
      ::grpc::internal::RpcMethod::NORMAL_RPC,
      new ::grpc::internal::RpcMethodHandler< MascotDeviceServer::Service, ::mascot::ReadAttributeMessage, ::mascot::ReadAttributeReply>(
          std::mem_fn(&MascotDeviceServer::Service::ReadAttribute), this)));
  AddMethod(new ::grpc::internal::RpcServiceMethod(
      MascotDeviceServer_method_names[3],
      ::grpc::internal::RpcMethod::NORMAL_RPC,
      new ::grpc::internal::RpcMethodHandler< MascotDeviceServer::Service, ::mascot::WriteAttributeMessage, ::mascot::WriteReply>(
          std::mem_fn(&MascotDeviceServer::Service::WriteAttribute), this)));
  AddMethod(new ::grpc::internal::RpcServiceMethod(
      MascotDeviceServer_method_names[4],
      ::grpc::internal::RpcMethod::NORMAL_RPC,
      new ::grpc::internal::RpcMethodHandler< MascotDeviceServer::Service, ::mascot::ReadAttributeMessage, ::mascot::AttributeConfigReply>(
          std::mem_fn(&MascotDeviceServer::Service::ReadAttributeConfig), this)));
  AddMethod(new ::grpc::internal::RpcServiceMethod(
      MascotDeviceServer_method_names[5],
      ::grpc::internal::RpcMethod::NORMAL_RPC,
      new ::grpc::internal::RpcMethodHandler< MascotDeviceServer::Service, ::mascot::ReadDevicePropertiesMessage, ::mascot::DeviceProperties>(
          std::mem_fn(&MascotDeviceServer::Service::ReadDeviceProperties), this)));
  AddMethod(new ::grpc::internal::RpcServiceMethod(
      MascotDeviceServer_method_names[6],
      ::grpc::internal::RpcMethod::NORMAL_RPC,
      new ::grpc::internal::RpcMethodHandler< MascotDeviceServer::Service, ::mascot::DeviceProperties, ::mascot::WriteReply>(
          std::mem_fn(&MascotDeviceServer::Service::WriteDeviceProperties), this)));
  AddMethod(new ::grpc::internal::RpcServiceMethod(
      MascotDeviceServer_method_names[7],
      ::grpc::internal::RpcMethod::NORMAL_RPC,
      new ::grpc::internal::RpcMethodHandler< MascotDeviceServer::Service, ::mascot::ReadDeviceAttributeMetaMessage, ::mascot::DeviceAttributeMeta>(
          std::mem_fn(&MascotDeviceServer::Service::ReadDeviceAttributeMeta), this)));
  AddMethod(new ::grpc::internal::RpcServiceMethod(
      MascotDeviceServer_method_names[8],
      ::grpc::internal::RpcMethod::NORMAL_RPC,
      new ::grpc::internal::RpcMethodHandler< MascotDeviceServer::Service, ::mascot::DeviceAttributeMeta, ::mascot::WriteReply>(
          std::mem_fn(&MascotDeviceServer::Service::WriteDeviceAttributeMeta), this)));
  AddMethod(new ::grpc::internal::RpcServiceMethod(
      MascotDeviceServer_method_names[9],
      ::grpc::internal::RpcMethod::NORMAL_RPC,
      new ::grpc::internal::RpcMethodHandler< MascotDeviceServer::Service, ::mascot::SubscribeMessage, ::mascot::SubscribeReply>(
          std::mem_fn(&MascotDeviceServer::Service::Subscribe), this)));
  AddMethod(new ::grpc::internal::RpcServiceMethod(
      MascotDeviceServer_method_names[10],
      ::grpc::internal::RpcMethod::NORMAL_RPC,
      new ::grpc::internal::RpcMethodHandler< MascotDeviceServer::Service, ::mascot::UnsubscribeMessage, ::mascot::UnsubscribeReply>(
          std::mem_fn(&MascotDeviceServer::Service::Unsubscribe), this)));
  AddMethod(new ::grpc::internal::RpcServiceMethod(
      MascotDeviceServer_method_names[11],
      ::grpc::internal::RpcMethod::NORMAL_RPC,
      new ::grpc::internal::RpcMethodHandler< MascotDeviceServer::Service, ::mascot::CommandMessage, ::mascot::CommandReply>(
          std::mem_fn(&MascotDeviceServer::Service::ExecuteCommand), this)));
}

MascotDeviceServer::Service::~Service() {
}

::grpc::Status MascotDeviceServer::Service::GetAttributeList(::grpc::ServerContext* context, const ::mascot::GetAttributeListMessage* request, ::mascot::AttributeListReply* response) {
  (void) context;
  (void) request;
  (void) response;
  return ::grpc::Status(::grpc::StatusCode::UNIMPLEMENTED, "");
}

::grpc::Status MascotDeviceServer::Service::GetCommandList(::grpc::ServerContext* context, const ::mascot::GetCommandListMessage* request, ::mascot::CommandListReply* response) {
  (void) context;
  (void) request;
  (void) response;
  return ::grpc::Status(::grpc::StatusCode::UNIMPLEMENTED, "");
}

::grpc::Status MascotDeviceServer::Service::ReadAttribute(::grpc::ServerContext* context, const ::mascot::ReadAttributeMessage* request, ::mascot::ReadAttributeReply* response) {
  (void) context;
  (void) request;
  (void) response;
  return ::grpc::Status(::grpc::StatusCode::UNIMPLEMENTED, "");
}

::grpc::Status MascotDeviceServer::Service::WriteAttribute(::grpc::ServerContext* context, const ::mascot::WriteAttributeMessage* request, ::mascot::WriteReply* response) {
  (void) context;
  (void) request;
  (void) response;
  return ::grpc::Status(::grpc::StatusCode::UNIMPLEMENTED, "");
}

::grpc::Status MascotDeviceServer::Service::ReadAttributeConfig(::grpc::ServerContext* context, const ::mascot::ReadAttributeMessage* request, ::mascot::AttributeConfigReply* response) {
  (void) context;
  (void) request;
  (void) response;
  return ::grpc::Status(::grpc::StatusCode::UNIMPLEMENTED, "");
}

::grpc::Status MascotDeviceServer::Service::ReadDeviceProperties(::grpc::ServerContext* context, const ::mascot::ReadDevicePropertiesMessage* request, ::mascot::DeviceProperties* response) {
  (void) context;
  (void) request;
  (void) response;
  return ::grpc::Status(::grpc::StatusCode::UNIMPLEMENTED, "");
}

::grpc::Status MascotDeviceServer::Service::WriteDeviceProperties(::grpc::ServerContext* context, const ::mascot::DeviceProperties* request, ::mascot::WriteReply* response) {
  (void) context;
  (void) request;
  (void) response;
  return ::grpc::Status(::grpc::StatusCode::UNIMPLEMENTED, "");
}

::grpc::Status MascotDeviceServer::Service::ReadDeviceAttributeMeta(::grpc::ServerContext* context, const ::mascot::ReadDeviceAttributeMetaMessage* request, ::mascot::DeviceAttributeMeta* response) {
  (void) context;
  (void) request;
  (void) response;
  return ::grpc::Status(::grpc::StatusCode::UNIMPLEMENTED, "");
}

::grpc::Status MascotDeviceServer::Service::WriteDeviceAttributeMeta(::grpc::ServerContext* context, const ::mascot::DeviceAttributeMeta* request, ::mascot::WriteReply* response) {
  (void) context;
  (void) request;
  (void) response;
  return ::grpc::Status(::grpc::StatusCode::UNIMPLEMENTED, "");
}

::grpc::Status MascotDeviceServer::Service::Subscribe(::grpc::ServerContext* context, const ::mascot::SubscribeMessage* request, ::mascot::SubscribeReply* response) {
  (void) context;
  (void) request;
  (void) response;
  return ::grpc::Status(::grpc::StatusCode::UNIMPLEMENTED, "");
}

::grpc::Status MascotDeviceServer::Service::Unsubscribe(::grpc::ServerContext* context, const ::mascot::UnsubscribeMessage* request, ::mascot::UnsubscribeReply* response) {
  (void) context;
  (void) request;
  (void) response;
  return ::grpc::Status(::grpc::StatusCode::UNIMPLEMENTED, "");
}

::grpc::Status MascotDeviceServer::Service::ExecuteCommand(::grpc::ServerContext* context, const ::mascot::CommandMessage* request, ::mascot::CommandReply* response) {
  (void) context;
  (void) request;
  (void) response;
  return ::grpc::Status(::grpc::StatusCode::UNIMPLEMENTED, "");
}


}  // namespace mascot

